Subject: Re: IPP> RE: Printer Instance Creation/Installation

From: [email-masked] (Robert Herriot)
Date: Tue, 17 Dec 1996 17:25:15 -0800

After reading Peter Zehler's document, I think that we have different
understandings of how IPP will work on a PC.  I have assumed that the
procedure that a user follows for finding a printer is separate from
the print operation.

For printer browsing, I would expect there would be some separate
application possibly initiated through a web browser which would allow
a user to specify printer characteristics and get back a list of
printers.  A user could then add one or more of these printers to the
desktop.  The operation of adding such a printer would install any
necessary drivers to the PC, like any other add printer operation except
that the drivers should come over the network and not request that the
user insert the CD-rom.

When a user wishes to print from an application, I would expect that
the list of available printers might include some IPP printers, but the
application not need be aware of this difference. The same GDI
API's would be supported by the IPP driver.

What do others think?  Do you agree with my understanding or do you
see things the way Peter does?

Bob Herriot

> From [email-masked] Sat Dec 14 17:06:47 1996
> Date: Sat, 14 Dec 1996 20:06:49 -0500
> From: JK Martin <[email-masked]>
> Organization: Underscore, Inc.
> X-Mailer: Mozilla 3.0 (Win95; U)
> MIME-Version: 1.0
> To: IPP redirector <[email-masked]>
> Subject: Re: IPP> RE: Printer Instance Creation/Installation
> References: <"<E078B13281E2667C>[email-masked]"@-SMF->
> Content-Transfer-Encoding: 7bit
> Sender: [email-masked]
> X-Lines: 22
> 
> Zehler,Peter wrote:
> > 
> > All,
> > I have placed a document that discusses these issues in the
> >  "contributions for discussion directory".   I have an MS Word and
> > a postscript version of the document.   I need to convert the document
> > to the Acrobat format.  I need help with this since I do not have an
> > Acrobat writer.
> 
> An Adobe PDF file now exists for the file(s) described above:
> 
> ftp://ftp.pwg.org/pub/pwg/ipp/contributions-for-discussion/IPP-driver-issue.pdf
> 
> 	...jay
> 
> ----------------------------------------------------------------------
> --  JK Martin               |  Email:   [email-masked]          --
> --  Underscore, Inc.        |  Voice:   (603) 889-7000              --
> --  41C Sagamore Park Road  |  Fax:     (603) 889-2699              --
> --  Hudson, NH 03015-4915   |  Web:     http://www.underscore.com   --
> ----------------------------------------------------------------------
> 
>

---

From: JK Martin <[email-masked]>
Date: Thu, 19 Dec 1996 01:32:51 -0500

Bob,

I agree with your thoughts and expectations entirely.  Identification
of printers (ie, locations, features, etc) should be quite separate
from the selection process (which might include downloading a driver),
which is in turn separate from job submission.

The mechanisms are separate from an implementation perspective, but
should be melded together in a coherent manner within the overall
model.

Just my thoughts.
-- 
	...jay